Package org.apache.catalina.tribes

## Class UniqueId

- java.lang.Object
- - org.apache.catalina.tribes.UniqueId

All Implemented Interfaces:
  `java.io.Serializable`

    public final class UniqueId
    extends java.lang.Object
    implements java.io.Serializable

Represents a globally unique Id.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UniqueId()`
`UniqueId​(byte[] id)`
`UniqueId​(byte[] id, int offset, int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object other)`
`byte[]` `getBytes()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UniqueId

    public UniqueId()

#### UniqueId

    public UniqueId​(byte[] id)

#### UniqueId

    public UniqueId​(byte[] id,
                    int offset,
                    int length)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### getBytes

    public byte[] getBytes()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`